#!/bin/bash

set -e -x

ls -la

# import maven settings file from the ENV
# Jenkins will pass a file that configure Maven to use internal mirror
mkdir -p ~/.m2

if test -f "maven_settings.xml"; then
  cp maven_settings.xml ~/.m2/settings.xml
fi

export JAVA_HOME=/usr/lib/jvm/java-11-openjdk

# Install necessary packages

# Build first without tests
mvn -B clean install -DskipTests -Dlicense.skip=true -Dmaven.javadoc.skip=true -Dspotbugs.skip -Dcheckstyle.skip -nsu -q

# skip the tests
#  mvn test

# Build the Docker images
cd docker 
./build.sh

# Ensure that files are readable from non root user after the build
chmod -R -c a+r *

